# class Byebug::AutoirbSetting

Setting for automatically invoking IRB on every stop.

### Constants

DEFAULT

### Public Class Methods

new() click to toggle source

    # File lib/byebug/settings/autoirb.rb, line 11
    def initialize
      IrbCommand.always_run = DEFAULT
    end

### Public Instance Methods

banner() click to toggle source

    # File lib/byebug/settings/autoirb.rb, line 15
    def banner
      'Invoke IRB on every stop'
    end

value() click to toggle source

    # File lib/byebug/settings/autoirb.rb, line 23
    def value
      IrbCommand.always_run == 1
    end

value=(v) click to toggle source

    # File lib/byebug/settings/autoirb.rb, line 19
    def value=(v)
      IrbCommand.always_run = v ? 1 : 0
    end